Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class QSMethodHandler

    java.lang.Object
      org.apache.axis.transport.http.AbstractQueryStringHandler
          org.apache.axis.transport.http.QSMethodHandler

All Implemented Interfaces:
  QSHandler

public class QSMethodHandler
extends AbstractQueryStringHandler

The QSMethodHandler class is a handler which executes a given method from an an AXIS service's WSDL definition when the query string "method" is encountered in an AXIS servlet invocation.

Author:
  Curtiss Howard (code mostly from AxisServlet class), Doug Davis (dug@us.ibm.com), Steve Loughran

Field Summary

Fields inherited from class org.apache.axis.transport.http.AbstractQueryStringHandler
`exceptionLog, log`

Constructor Summary
`QSMethodHandler()`

Method Summary
`void` | `invoke(MessageContext msgContext)` Performs the action associated with this particular query string handler.

Methods inherited from class org.apache.axis.transport.http.AbstractQueryStringHandler
`configureFromContext, configureResponseFromAxisFault, convertExceptionToAxisFault, isDevelopment, processAxisFault, writeFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSMethodHandler

    public QSMethodHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Performs the action associated with this particular query string handler.

  Parameters:
    `msgContext` - a MessageContext object containing message context information for this query string handler.
  Throws:
    `AxisFault` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.